> For the complete documentation index, see [llms.txt](https://docs.xrpscan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xrpscan.com/api-documentation/validator/report.md).

# Report

This endpoint retrieves validator agreement report for a given validator public key.

## Request

{% tabs %}
{% tab title="GET" %}

```
GET /api/v1/validator/{PUBLIC_KEY}/reports
```

{% endtab %}
{% endtabs %}

## Examples

{% tabs %}
{% tab title="curl" %}

```
curl https://api.xrpscan.com/api/v1/validator/nHDB2PAPYqF86j9j3c6w1F1ZqwvQfiWcFShZ9Pokg9q4ohNDSkAz/reports
```

{% endtab %}
{% endtabs %}

## Response

{% tabs %}
{% tab title="JSON" %}

```json
{
  "result": "success",
  "count": 844,
  "reports": [
    {
      "validation_public_key": "nHDB2PAPYqF86j9j3c6w1F1ZqwvQfiWcFShZ9Pokg9q4ohNDSkAz",
      "date": "2023-07-31T23:00:00.000Z",
      "chain": "main",
      "score": "1.00000",
      "total": "10492",
      "missed": "0",
      "incomplete": true
    },
    {
      "validation_public_key": "nHDB2PAPYqF86j9j3c6w1F1ZqwvQfiWcFShZ9Pokg9q4ohNDSkAz",
      "date": "2023-07-30T23:00:00.000Z",
      "chain": "main",
      "score": "1.00000",
      "total": "21810",
      "missed": "0",
      "incomplete": false
    },
    {
      "validation_public_key": "nHDB2PAPYqF86j9j3c6w1F1ZqwvQfiWcFShZ9Pokg9q4ohNDSkAz",
      "date": "2023-07-29T23:00:00.000Z",
      "chain": "main",
      "score": "1.00000",
      "total": "22023",
      "missed": "0",
      "incomplete": false
    },
    {
      "validation_public_key": "nHDB2PAPYqF86j9j3c6w1F1ZqwvQfiWcFShZ9Pokg9q4ohNDSkAz",
      "date": "2023-07-28T23:00:00.000Z",
      "chain": "main",
      "score": "1.00000",
      "total": "21720",
      "missed": "0",
      "incomplete": false
    },
    ...
  ]
}
```

{% endtab %}
{% endtabs %}
